import React, { useMemo} from 'react'
import { Link } from 'react-router-dom'
import {useGoogleAuth} from 'hooks'
const Nav = () => {
    const { isSignedIn, signOut, signIn } = useGoogleAuth();

    const handleAuth = () => { isSignedIn ? signOut() : signIn();}

    const authLinkText = useMemo(() => isSignedIn ? "Logout" : "Login", [isSignedIn]);


    return (
        <header className="nav-bar" role="navigation">
            <div className="order-management">Order Management Console PRO</div>
            <ul className="nav-list">
                <li><Link className="nav-link" to="/orders">All orders</Link></li>
                <li><Link className="nav-link" to="/account">(account logo here)</Link></li>
                <li><button onClick={handleAuth}>{authLinkText}</button></li>
            </ul>
        </header>
    )
}

export default Nav
