import { useParams } from 'react-router-dom';
import {OrderShowDetails} from 'components';
import { Order, Item } from 'Order';
import { useOrder } from 'hooks'

const OrderShowPage = () => {
    const { id } = useParams<any>();
    const { order} = useOrder(id)

    if (!order) {
        return(<></>);
    }
    
    return (
        <div>
            <span>
                <h3>Order Date: {order.orderCreatedAt}</h3>
                <h3>Order Number: {order.id}</h3>
                <h3>Order Status: {order.orderStatus}</h3>
            </span>
            
            <OrderShowDetails items={order.orderItems}/>
        </div>
    )
}

export default OrderShowPage
